# Python-Calculator
## What is it:
The Python-Calculator is an advanced but simple made Python-3.6 calculator that I made as a side school project.
It's written in plain Python 3.6 in under 300 lines of code.

It started as a Java project but was later remade into Python to work as a school project.

## How does it work:
It takes an input of a math problem all at once and solves it by gradually making the problem easier until there's only addition and subtraction left.

## What can it do:
It has a few mathematical and logical functions that can be listed by writing "help" during the input. It should also fully support parenthesises and operation rules.

## Need to know:
You *need* to use correct spacing for it to work. Otherwise it will either output the input or give an error.

###### This is correct:
- 1 + 1
- (1 + 1)
- 1 - 1
- log(10)

###### This is __not__ correct:
- 1+1
- ( 1 + 1 )
- 1-1
- log( 10 )

## Can I use it:
Yes you can use this for commercial use.
You can try it out directly here: https://repl.it/@CoolJWB/Python-Calculator

This is licensed with the Apache License 2.0.
You can read about it here: https://tldrlegal.com/license/apache-license-2.0-(apache-2.0)